# BEGIN SourceDeps(oneline):
BuildRequires: perl(Any/Moose.pm) perl(AnyEvent.pm) perl(AnyEvent/Gearman/Client.pm) perl(Carp.pm) perl(Danga/Socket.pm) perl(ExtUtils/MakeMaker.pm) perl(Gearman/Client.pm) perl(Gearman/Client/Async.pm) perl(Gearman/Server.pm) perl(Gearman/Util.pm) perl(Gearman/Worker.pm) perl(IO/Socket/INET.pm) perl(Moose.pm) perl(Object/Event.pm) perl(POSIX.pm) perl(Storable.pm) perl(YAML.pm)
# END SourceDeps(oneline)
%define module_name Gearman-Spawner
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.11
Release: alt1
Summary: Lifecycle manager for Gearman workers
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AT/ATHOMASON/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This class has a single method `new' which creates a subprocess that manages
the lifecycles of configured Gearman workers. The workers must conform to a
simple OO interface, typically by inheriting from Gearman::Spawner::Worker.
The Gearman::Spawner object returned by `new' may be queried by it's `->pid' method to discover the identity of the process supervising the workers.
Additionally, when this object is destroyed, the spawner process and the child
workers are killed.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/G*

%changelog
* Sat Mar 16 2019 Igor Vlasenko <viy@altlinux.ru> 1.11-alt1
- initial import by package builder

